- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
AL::urdf::Joint Class Reference

`#include <urdf.h>`

## Public Types
enum | Type { revolute, continuous, prismatic, fixed, floating, planar }

## Public Member Functions
| Joint (const ptree &pt)
std::string | name () const
Type | type () const
std::string | parent_link () const
std::string | child_link () const
Pose | origin () const
Array3d | axis () const
boost::optional< std::pair < double, double > > | limit_lower_upper () const
boost::optional< double > | limit_effort () const
boost::optional< double > | limit_velocity () const
boost::optional< Mimic > | mimic () const

## Public Attributes
const ptree & | pt

## Detailed Description

Definition at line 359 of file urdf.h.

## Member Enumeration Documentation

enum AL::urdf::Joint::Type

Enumerator
revolute |
continuous |
prismatic |
fixed |
floating |
planar |

Definition at line 361 of file urdf.h.

## Constructor & Destructor Documentation

AL::urdf::Joint::Joint | ( | const ptree & | pt | ) |

## Member Function Documentation

Array3d AL::urdf::Joint::axis | ( |  | ) | const

std::string AL::urdf::Joint::child_link | ( |  | ) | const

boost::optional<double> AL::urdf::Joint::limit_effort | ( |  | ) | const

boost::optional<std::pair<double, double> > AL::urdf::Joint::limit_lower_upper | ( |  | ) | const

boost::optional<double> AL::urdf::Joint::limit_velocity | ( |  | ) | const

boost::optional<Mimic> AL::urdf::Joint::mimic | ( |  | ) | const

std::string AL::urdf::Joint::name | ( |  | ) | const

Pose AL::urdf::Joint::origin | ( |  | ) | const

std::string AL::urdf::Joint::parent_link | ( |  | ) | const

Type AL::urdf::Joint::type | ( |  | ) | const

## Member Data Documentation

const ptree& AL::urdf::Joint::pt

Definition at line 362 of file urdf.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/urdf.h